/*
 * File:	test.cc
 * Purpose:	Micro Demo for wxString class library
 * Author:	Stefan Hammes (steve)
 * Created:	1995
 * Updated:	
 * 16.04.95
 * Copyright:	(c) 1995
 */

#include <stdio.h>
#include "wxregex.h"
#include "wxstring.h"

wxString extract(wxString& s, wxRegex &re)
{
  return(((wxString)s.at(re)).through(re));
}

// show very few features of the wxString class
int main()
{
  wxString a="Hello";

  a += " World!";
  printf("%s\n",a.chars());

  if(a.isAscii()) printf("ASCII\n");
  
  wxString xx = a(2,5);
  printf("%s\n",xx.chars());

  wxString s = "WINDOW.NAME(demo)";
  
  wxRegex re("[A-Z]+");
  printf("%s contains = %d, substring = %s\n",
             s.chars(),s.contains(re),extract(s,re).chars());
             
  wxRegex re1("([a-z]*)");
  printf("%s contains = %d, substring = %s\n",
             s.chars(),s.contains(re1),extract(s,re1).chars());
               
  wxString w = s.before(".");
  printf("%s\n",w.chars());

  wxString d = s.after("(");
  d = d.before(")");
  printf("%s\n",d.chars());
                 
  return(0);
}

